Bug 1399760 - rbd snapshot delete fails if backend is missing file
Summary: rbd snapshot delete fails if backend is missing file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: async
: 7.0 (Kilo)
Assignee: Eric Harney
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On: 1399741
Blocks: 1399733 1399763
TreeView+ depends on / blocked
 
Reported: 2016-11-29 16:43 UTC by Eric Harney
Modified: 2022-07-09 08:45 UTC (History)
4 users (show)

Fixed In Version: openstack-cinder-2015.1.3-12.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1399733
: 1399763 (view as bug list)
Environment:
Last Closed: 2017-02-15 23:00:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker OSP-16819 0 None None None 2022-07-09 08:45:38 UTC
Red Hat Product Errata RHSA-2017:0282 0 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Description Eric Harney 2016-11-29 16:43:19 UTC
+++ This bug was initially created as a clone of Bug #1399733 +++

Description of problem:
rbd snapshot delete fails if backend is missing file

Is it possible to backport this patch [1] to RHOSP 5?  It is a simple patch that will simply pass if this file is missing

[1] https://bugs.launchpad.net/cinder/+bug/1415905

Version-Release number of selected component (if applicable):


How reproducible:
Somtimes

Steps to Reproduce:
1. Missing patch
2.
3.

Actual results:
Fails deleting the snapshot

Expected results:
Succeeds


Additional info:

Comment 2 Tzach Shefi 2017-02-06 05:56:07 UTC
Verified, 

Version
python-cinder-2015.1.3-12.el7ost.noarch
openstack-cinder-2015.1.3-12.el7ost.noarch

Created a volume snapshot, via rbd commands deleted snapshot's backend file, then I successfully deleted Cinder snapshot, steps below:L  


#cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| 54724e6e-dd0f-4686-b219-09339067b8a5 | available |     vol1     |  1   |      -      |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+

#cinder snapshot-list
+--------------------------------------+--------------------------------------+-----------+--------------+------+
|                  ID                  |              Volume ID               |   Status  | Display Name | Size |
+--------------------------------------+--------------------------------------+-----------+--------------+------+
| ed8e4c11-c8e4-43ce-a7fd-bbf0398726f6 | 54724e6e-dd0f-4686-b219-09339067b8a5 | available |  snap-vol1   |  1   |
+--------------------------------------+--------------------------------------+-----------+--------------+------+


#rbd -p volumes ls -l                                                                                                                                                  
NAME                                                                                       SIZE PARENT FMT PROT LOCK                                                                         
volume-54724e6e-dd0f-4686-b219-09339067b8a5                                               1024M          2           
volume-54724e6e-dd0f-4686-b219-09339067b8a5@snapshot-ed8e4c11-c8e4-43ce-a7fd-bbf0398726f6 1024M          2 yes      

#rbd -p volumes snap unprotect volume-54724e6e-dd0f-4686-b219-09339067b8a5@snapshot-ed8e4c11-c8e4-43ce-a7fd-bbf0398726f6

# rbd -p volumes snap rm volume-54724e6e-dd0f-4686-b219-09339067b8a5@snapshot-ed8e4c11-c8e4-43ce-a7fd-bbf0398726f6 

# rbd -p volumes ls -l
NAME                                         SIZE PARENT FMT PROT LOCK 
volume-54724e6e-dd0f-4686-b219-09339067b8a5 1024M          2   

#cinder snapshot-delete ed8e4c11-c8e4-43ce-a7fd-bbf0398726f6
#cinder snapshot-list
+----+-----------+--------+--------------+------+
| ID | Volume ID | Status | Display Name | Size |
+----+-----------+--------+--------------+------+
+----+-----------+--------+--------------+------+

As expected Cinder snapshot ^ was deleted, despite missing back end file.

Comment 4 errata-xmlrpc 2017-02-15 23:00:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.